********************************************************************************
///为防止命令无法运行，需提前下载所需命令（可能需要重新下载），包括reghdfe、ftools、ppmlhdfe、ivreghdfe、ftools、ivreg2、ranktest、ivqreg2、cem、zip、estadd命令包

ssc install ppmlhdfe

ssc install ranktest

cap ado uninstall ftools
net install ftools, from("https://raw.githubusercontent.com/sergiocorreia/ftools/master/src/")


cap ado uninstall reghdfe
net install reghdfe, from("https://raw.githubusercontent.com/sergiocorreia/reghdfe/master/src/")


cap ado uninstall ivreg2
ssc install ivreg2


cap ado uninstall ivreghdfe
net install ivreghdfe, from("https://raw.githubusercontent.com/sergiocorreia/ivreghdfe/master/src/")

ssc install ivqreg2

ssc install cem

ssc install zip

//对于estadd，找到st0085_2.pkg并下载
findit esttab

********************************************************************************
use province_paneldata,clear

///附录IV——表IV1 变量的描述性统计和具体说明
tabstat co_pat_num co_claims  co_bc_num co_bc3_num co_bc5_num co_inp_num co_pat_num_rdp co_claims_rdp co_bc_num_rdp co_bc3_num_rdp co_bc5_num_rdp co_inp_num_rdp lnall_rd lna_network_sqrt lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc,  s(mean median sd) f(%10.3f) 


///表1 农业科研网络对农业技术创新影响的IV估计结果
preserve

		gen innovation=co_pat_num
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m1, title("co_pat_num")
		
		drop v2h_fe
		replace innovation=co_claims
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m2, title("co_claims")
		
		drop v2h_fe
		replace innovation=co_bc_num
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m3, title("co_bc_num")
		
		drop v2h_fe
		replace innovation=co_bc3_num
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m4, title("co_bc3_num")
		
		drop v2h_fe
		replace innovation=co_bc5_num
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m5, title("co_bc5_num")
		
		drop v2h_fe
		replace innovation=co_inp_num
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m6, title("co_inp_num")
		
	
esttab m1 m2 m3 m4 m5 m6 using "Table 1.rtf", replace  cells(b(fmt(3) star) se(fmt(3) par)) star(* 0.10 ** 0.05 *** 0.01) stats(r2_p N Province Year Control, fmt(%9.3f %9.0g) label("Pseudo R2" "Observations"))  keep(AgR&D_stock AgR&D_spillovers  Jaffe_tech_proximity Jaffe_prod_proximity Residuals)  label  ///
	rename(L.lnall_rd "AgR&D_stock"  L.lna_network_sqrt "AgR&D_spillovers" L.lnjaffe_pat "Jaffe_tech_proximity" L.lnprod_jaffe_allrd "Jaffe_prod_proximity" v2h_fe "Residuals")
restore

sum g_a_sqrt if g_a_sqrt!=0


///表2 农业科研网络对技术创新效率影响的IV估计结果

preserve
			
        gen lnrdp=ln(co_pat_num_rdp)
		ivreghdfe lnrdp  l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m1, title("co_pat_num")
		

		replace lnrdp=ln(co_claims_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m2, title("co_claims")
		

		replace lnrdp=ln(co_bc_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m3, title("co_bc_num")
		

		replace lnrdp=ln(co_bc3_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m4, title("co_bc3_num")
		

		replace lnrdp=ln(co_bc5_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m5, title("co_bc5_num")
		

		replace lnrdp=ln(co_inp_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network_sqrt=l.lna_nework_sqrt_IV1 l.lna_nework_sqrt_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m6, title("co_inp_num")
		
	
esttab m1 m2 m3 m4 m5 m6 using "Table 2.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) star(* 0.10 ** 0.05 *** 0.01) stats(r2 N Control Province Year , fmt(%9.3f %9.0g) label("R2" "Observations"))  keep( AgR&D_stock AgR&D_spillovers  Jaffe_tech_proximity Jaffe_prod_proximity)  label  ///
	rename(L.lnall_rd "AgR&D_stock" L.lna_network_sqrt "AgR&D_spillovers" L.lnjaffe_pat "Jaffe_tech_proximity" L.lnprod_jaffe_allrd "Jaffe_prod_proximity")
restore

///附录V——表V1 使用非平方根函数构造的农业科研网络对农业技术创新影响的IV估计结果

preserve

		gen innovation=co_pat_num
		reghdfe  lna_network lna_nework_IV1 lna_nework_IV2   lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m1, title("co_pat_num")
		
		drop v2h_fe
		replace innovation=co_claims
		reghdfe  lna_network lna_nework_IV1 lna_nework_IV2   lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m2, title("co_claims")
		
		drop v2h_fe
		replace innovation=co_bc_num
		reghdfe  lna_network lna_nework_IV1  lna_nework_IV2  lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd  agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m3, title("co_bc_num")
		
		drop v2h_fe
		replace innovation=co_bc3_num
		reghdfe  lna_network lna_nework_IV1 lna_nework_IV2   lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m4, title("co_bc3_num")
		
		drop v2h_fe
		replace innovation=co_bc5_num
		reghdfe  lna_network lna_nework_IV1 lna_nework_IV2   lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m5, title("co_bc5_num")
		
		drop v2h_fe
		replace innovation=co_inp_num
		reghdfe  lna_network lna_nework_IV1  lna_nework_IV2  lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_IV1   lna_nework_IV2
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m6, title("co_inp_num")
		
	
esttab m1 m2 m3 m4 m5 m6 using "Table V1.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) star(* 0.10 ** 0.05 *** 0.01) stats(r2_p N Province Year Control, fmt(%9.3f %9.0g) label("Pseudo R2" "Observations"))  keep(AgR&D_stock AgR&D_spillovers  Jaffe_tech_proximity Jaffe_prod_proximity Residuals)  label  ///
	rename(L.lnall_rd "AgR&D_stock"  L.lna_network "AgR&D_spillovers" L.lnjaffe_pat "Jaffe_tech_proximity"  L.lnprod_jaffe_allrd "Jaffe_prod_proximity" v2h_fe "Residuals")
restore

sum g_a if g_a!=0

///附录V——表V2 使用非平方根函数构造的农业科研网络对技术创新效率影响的IV估计结果

preserve
			
        gen lnrdp=ln(co_pat_num_rdp)
		ivreghdfe lnrdp  l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m1, title("co_pat_num")
		

		replace lnrdp=ln(co_claims_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m2, title("co_claims")
		

		replace lnrdp=ln(co_bc_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m3, title("co_bc_num")
		

		replace lnrdp=ln(co_bc3_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m4, title("co_bc3_num")
		

		replace lnrdp=ln(co_bc5_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m5, title("co_bc5_num")
		

		replace lnrdp=ln(co_inp_num_rdp)
		ivreghdfe lnrdp l.lnall_rd (l.lna_network=l.lna_nework_IV1 l.lna_nework_IV2) l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc, absorb(area_id year) cl(area_id) first
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m6, title("co_inp_num")
		
	
esttab m1 m2 m3 m4 m5 m6 using "Table V2.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) star(* 0.10 ** 0.05 *** 0.01) stats(r2 N Control Province Year , fmt(%9.3f %9.0g) label("R2" "Observations"))  keep(AgR&D_stock AgR&D_spillovers  Jaffe_tech_proximity Jaffe_prod_proximity)  label  ///
	rename(L.lnall_rd "AgR&D_stock" L.lna_network "AgR&D_spillovers" L.lnjaffe_pat "Jaffe_tech_proximity"  L.lnprod_jaffe_allrd "Jaffe_prod_proximity")
restore

///附录V——表V3 使用非平方根函数构造的农业科研网络对农业自主创新影响的IV估计结果
preserve

		gen innovation=pat_num_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m1, title("pat_num_alone")
		
		drop v2h_fe
		replace innovation=claims_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m2, title("claims_alone")
		
		drop v2h_fe
		replace innovation=bc_num_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m3, title("bc_num_alone")
		
		drop v2h_fe
		replace innovation=bc3_num_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m4, title("co_bc3_num_alone")
		
		drop v2h_fe
		replace innovation=bc5_num_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m5, title("co_bc5_num_alone")
		
		drop v2h_fe
		replace innovation=inp_num_alone
		reghdfe  lna_network_sqrt lna_nework_sqrt_IV1    lnall_rd  lnjaffe_pat lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc , absorb(area_id year) cl(area_id) res
		test lna_nework_sqrt_IV1   
		predict  v2h_fe,res
		ppmlhdfe innovation  l.lnall_rd l.lna_network_sqrt l.lnjaffe_pat l.lnprod_jaffe_allrd agdpratio gdp_per_growth tech hc v2h_fe  ,absorb(area_id year) cl(area_id) 
		estadd local  Year "Yes"
		estadd local  Province "Yes"
		estadd local  Control "Yes"
		estimate store m6, title("inp_num_alone")
		
	
esttab m1 m2 m3 m4 m5 m6 using "Table V3.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) star(* 0.10 ** 0.05 *** 0.01) stats(r2_p N Province Year Control, fmt(%9.3f %9.0g) label("Pseudo R2" "Observations"))  keep(AgR&D_stock AgR&D_spillovers  Jaffe_tech_proximity Jaffe_prod_proximity Residuals)  label  ///
	rename(L.lnall_rd "AgR&D_stock"  L.lna_network_sqrt "AgR&D_spillovers" L.lnjaffe_pat "Jaffe_tech_proximity" L.lnprod_jaffe_allrd "Jaffe_prod_proximity" v2h_fe "Residuals")
restore

sum g_a_sqrt if g_a_sqrt!=0

///附录VI——图VI1 农业科研网络对技术创新效率（数量）影响的工具变量分位数回归
preserve
        gen lnrdp=ln(co_pat_num_rdp)
		gen llna_network_sqrt=l.lna_network_sqrt
		gen llnall_rd=l.lnall_rd
		gen llnjaffe_pat=l.lnjaffe_pat
		gen llnprod_jaffe_allrd=l.lnprod_jaffe_allrd
		gen llna_nework_sqrt_IV1=l.lna_nework_sqrt_IV1
		gen llna_nework_sqrt_IV2=l.lna_nework_sqrt_IV2
		ivqreg2 lnrdp llna_network_sqrt llnall_rd  llnjaffe_pat llnprod_jaffe_allrd agdpratio gdp_per_growth tech hc ,inst(llna_nework_sqrt_IV1 llna_nework_sqrt_IV2 llnall_rd  llnjaffe_pat llnprod_jaffe_allrd agdpratio gdp_per_growth tech hc) quantile(0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9)
restore


**根据回归结果，得到以下数据，将数据导入stata后生成图a
preserve
use 图VI1a,clear
//{
//id	Quantile	coef	high	low
//1	0.1	0.0365179	0.0115356	0.0615002
//1	0.2	0.0348959	0.0148537	0.054938
//1	0.3	0.0338039	0.0167742	0.0508336
//1	0.4	0.0329417	0.0179937	0.0478897
//1	0.5	0.0322097	0.0187226	0.0456968
//1	0.6	0.0313196	0.0190763	0.0435628
//1	0.7	0.0304832	0.0187244	0.042242
//1	0.8	0.0297259	0.0177581	0.0416938
//1	0.9	0.0285789	0.015205	0.0419528
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("R&D_spillovers", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图b
preserve
use 图VI1b,clear

//{
//id	Quantile	coef	high	low
//1	0.1	-0.6737557	-0.7722122	-0.5752991
//1	0.2	-0.7146738	-0.7925613	-0.6367864
//1	0.3	-0.7422201	-0.8081572	-0.6762829
//1	0.4	-0.7639697	-0.8218993	-0.70604
//1	0.5	-0.782436	-0.8350264	-0.7298456
//1	0.6	-0.8048904	-0.8532954	-0.7564854
//1	0.7	-0.825988	-0.8731831	-0.778793
//1	0.8	-0.8450916	-0.8939211	-0.796262
//1	0.9	-0.8740275	-0.9297269	-0.818328
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("R&D_stock", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图c
preserve
use 图VI1c,clear

//{
//id	Quantile	coef	high	low
//1	0.1	0.1525376	-0.1617561	0.4668314
//1	0.2	0.1382141	-0.1080557	0.3844839
//1	0.3	0.1285714	-0.0727233	0.3298661
//1	0.4	0.1209579	-0.0457007	0.2876165
//1	0.5	0.1144936	-0.0238418	0.2528291
//1	0.6	0.1066334	0.0001903	0.2130765
//1	0.7	0.0992481	0.017459	0.1810372
//1	0.8	0.0925608	0.0236881	0.1614336
//1	0.9	0.0824317	0.0057171	0.1591463
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("Jaffe_tech_proximity", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图d
preserve
use 图VI1d,clear

//{
//id	Quantile	coef	high	low
//1	0.1	-0.0023661	-0.3258937	0.3211616
//1	0.2	0.0063375	-0.2472592	0.2599342
//1	0.3	0.0121968	-0.1955208	0.2199144
//1	0.4	0.016823	-0.1559452	0.1895913
//1	0.5	0.020751	-0.1238968	0.1653987
//1	0.6	0.0255271	-0.0884621	0.1395164
//1	0.7	0.0300147	-0.0620004	0.1220299
//1	0.8	0.0340782	-0.0484609	0.1166173
//1	0.9	0.040233	-0.0532212	0.1336873
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("Jaffe_prod_proximity", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore


///附录VI——图VI2 农业科研网络对技术创新效率（质量）影响的工具变量分位数回归
preserve		
        gen lnrdp=ln(co_inp_num_rdp)
		gen llna_network_sqrt=l.lna_network_sqrt
		gen llnall_rd=l.lnall_rd
		gen llnjaffe_pat=l.lnjaffe_pat
		gen llnprod_jaffe_allrd=l.lnprod_jaffe_allrd
		gen llna_nework_sqrt_IV1=l.lna_nework_sqrt_IV1
		gen llna_nework_sqrt_IV2=l.lna_nework_sqrt_IV2
		ivqreg2 lnrdp llna_network_sqrt llnall_rd  llnjaffe_pat llnprod_jaffe_allrd agdpratio gdp_per_growth tech hc ,inst(llna_nework_sqrt_IV1 llna_nework_sqrt_IV2 llnall_rd  llnjaffe_pat llnprod_jaffe_allrd agdpratio gdp_per_growth tech hc) quantile(0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9)
restore


**根据回归结果，得到以下数据，将数据导入stata后生成图a
preserve
use 图VI2a,clear
//{
//id	Quantile	coef	se	high	low
//1	0.1	0.0399732	0.141339	0.0158675	0.0640788
//1	0.2	0.0384851	0.1346031	0.0185606	0.0584097
//1	0.3	0.0370983	0.1469606	0.0206227	0.0535739
//1	0.4	0.0363155	0.1012162	0.0214793	0.0511517
//1	0.5	0.0355124	0.1156222	0.0220149	0.0490099
//1	0.6	0.0347325	0.1055699	0.0221001	0.0473649
//1	0.7	0.0338651	0.1076645	0.0215811	0.046149
//1	0.8	0.0330176	0.1394095	0.0204053	0.0456299
//1	0.9	0.0318899	0.1680375	0.0178917	0.0458882
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("R&D_spillovers", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图b
preserve
use 图VI2b,clear
//{
//id	Quantile	coef	high	low
//1	0.1	-0.6824459	-0.7862065	-0.5786852
//1	0.2	-0.7202686	-0.8045126	-0.6360247
//1	0.3	-0.7555182	-0.8237121	-0.6873243
//1	0.4	-0.7754159	-0.8354385	-0.7153932
//1	0.5	-0.795828	-0.8493329	-0.7423232
//1	0.6	-0.8156503	-0.8648039	-0.7664967
//1	0.7	-0.8376998	-0.8849696	-0.79043
//1	0.8	-0.8592399	-0.9078161	-0.8106637
//1	0.9	-0.8879028	-0.9435623	-0.8322432
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("R&D_stock", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图c
preserve
use 图VI2c,clear
//{
//id	Quantile	coef	high	low
//1	0.1	0.1863336	-0.1634996	0.5361668
//1	0.2	0.1621818	-0.1187972	0.4431609
//1	0.3	0.1396732	-0.0786852	0.3580315
//1	0.4	0.1269675	-0.0572716	0.3112066
//1	0.5	0.1139333	-0.0370529	0.2649195
//1	0.6	0.1012757	-0.0204466	0.2229981
//1	0.7	0.087196	-0.008872	0.1832641
//1	0.8	0.0734416	-0.0108468	0.1577299
//1	0.9	0.0551389	-0.0421742	0.152452
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("Jaffe_tech_proximity", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

**根据回归结果，得到以下数据，将数据导入stata后生成图d
preserve
use 图VI2d,clear
//{
//id	Quantile	coef	high	low
//1	0.1	-0.0740113	-0.4347606	0.286738
//1	0.2	-0.0536827	-0.3431353	0.2357699
//1	0.3	-0.0347372	-0.2596667	0.1901924
//1	0.4	-0.0240428	-0.2140868	0.1660012
//1	0.5	-0.0130719	-0.1694919	0.1433481
//1	0.6	-0.002418	-0.1298886	0.1250525
//1	0.7	0.0094329	-0.0939459	0.1128116
//1	0.8	0.02101	-0.0732645	0.1152845
//1	0.9	0.0364154	-0.0736654	0.1464962
//}

tw (rcap low high quantile, color("80 140 240")) ///
(sca coef quantile, msize(medsmall) color("80 140 240") msymbol(D)), ///
ytitle("Jaffe_prod_proximity", size(medsmall)) ///
xtitle("Quantile", size(medsmall)) ///
xscale(titlegap(small)) yscale(titlegap(small)) legend(off) ///
ylabel(, format(%9.3f) labsize(medsmall) angle(0) nogrid) ///
xmtick(0(0.1)1) ///
graphregion(color(white)) plotregion(style(outline))
restore

//图3 农业科研网络对农业TFP增长影响的反事实量化分析
use province_paneldata,clear
xtset area_id year
gen gtfp_net=0 if lna_network_sqrt<=0
replace gtfp_net=lna_network_sqrt if gtfp_net==.
gen no_net_gtfp=gtfp-0.093*l2.gtfp_net
replace no_net_gtfp=gtfp if no_net_gtfp==.
gen treat_network=1 if  lna_network_sqrt>0
replace treat_network=0 if treat_network==.
gen yes_net_gtfp=gtfp

gen region2="东北" if  area=="黑龙江"| area=="吉林"| area=="辽宁"
replace region2="华东" if  area=="上海"| area=="江苏"| area=="浙江"| area=="安徽"| area=="福建"| area=="江西"| area=="山东"
replace region2="华北" if  area=="北京"| area=="天津"| area=="河北"| area=="山西"| area=="内蒙古"
replace region2="华中" if  area=="河南"| area=="湖北"| area=="湖南"
replace region2="华南" if  area=="广东"| area=="广西"| area=="海南"| area=="香港"
replace region2="西南" if  area=="四川"| area=="贵州"| area=="云南"| area=="西藏"| area=="重庆"
replace region2="西北" if  area=="陕西"| area=="甘肃"| area=="青海"| area=="宁夏"| area=="新疆"


**全国
preserve
bys year:egen meanno_gtfp=mean(no_net_gtfp) 
bys year:egen meanyes_gtfp=mean(yes_net_gtfp)
bys year:egen treat全国=total(treat_network) 
twoway line meanyes_gtfp meanno_gtfp  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline)) 
restore

**东北
preserve
bys year:egen meanno_gtfp_东北=mean(no_net_gtfp) if region2=="东北"
bys year:egen meanyes_gtfp_东北=mean(yes_net_gtfp) if region2=="东北"
twoway line meanyes_gtfp_东北 meanno_gtfp_东北  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**华东
preserve
bys year:egen meanno_gtfp_华东=mean(no_net_gtfp) if region2=="华东"
bys year:egen meanyes_gtfp_华东=mean(yes_net_gtfp) if region2=="华东"
twoway line meanyes_gtfp_华东 meanno_gtfp_华东  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**华北
preserve
bys year:egen meanno_gtfp_华北=mean(no_net_gtfp) if region2=="华北"
bys year:egen meanyes_gtfp_华北=mean(yes_net_gtfp) if region2=="华北"
twoway line meanyes_gtfp_华北 meanno_gtfp_华北  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**华中
preserve
bys year:egen meanno_gtfp_华中=mean(no_net_gtfp) if region2=="华中"
bys year:egen meanyes_gtfp_华中=mean(yes_net_gtfp) if region2=="华中"
twoway line meanyes_gtfp_华中 meanno_gtfp_华中  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**华南
preserve
bys year:egen meanno_gtfp_华南=mean(no_net_gtfp) if region2=="华南"
bys year:egen meanyes_gtfp_华南=mean(yes_net_gtfp) if region2=="华南"
twoway line meanyes_gtfp_华南 meanno_gtfp_华南  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**西南
preserve
bys year:egen meanno_gtfp_西南=mean(no_net_gtfp) if region2=="西南"
bys year:egen meanyes_gtfp_西南=mean(yes_net_gtfp) if region2=="西南"
twoway line meanyes_gtfp_西南 meanno_gtfp_西南  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

**西北
preserve
bys year:egen meanno_gtfp_西北=mean(no_net_gtfp) if region2=="西北"
bys year:egen meanyes_gtfp_西北=mean(yes_net_gtfp) if region2=="西北"
twoway line meanyes_gtfp_西北 meanno_gtfp_西北  year,lcolor(red blue) lpattern(solid dash) lwidth(thin thin) graphregion(color(white)) plotregion(style(outline))
restore

///附录VII—表VII1 农业科研网络对农业上市企业创新影响的CEM估计
use firm_paneldata,clear
xtset firm_id year	

preserve
	qui {
		gen innovation = co_pat_num
		poisson innovation  network l.lnrdG l.lnjaffe_sp_rds l.innovation  i.year i.ind_id i.ownership_id i.area_id [iw = cem_weight]
		estadd local  Industry "Yes"
		estadd local  Year "Yes"
		estadd local  Ownership "Yes"
		estadd local  Area "Yes"
		estimate store m1, title("poisson_co_pat_num")
		
		gen llnrdG=l.lnrdG
		gen llnjaffe_sp_rds=l.lnjaffe_sp_rds
		gen linnovation=l.innovation
		zip innovation  network llnrdG llnjaffe_sp_rds linnovation  i.year i.ind_id i.ownership_id i.area_id [iw = cem_weight], inflate(lnrdG)
		estadd local  Industry "Yes"
		estadd local  Year "Yes"
		estadd local  Ownership "Yes"
		estadd local  Area "Yes"
		estimate store m2, title("zip_co_pat_num")
		
		replace innovation = co_inp_num
		poisson innovation  network l.lnrdG l.lnjaffe_sp_rds l.innovation  i.year i.ind_id i.ownership_id i.area_id [iw = cem_weight]
		estadd local  Industry "Yes"
		estadd local  Year "Yes"
		estadd local  Ownership "Yes"
		estadd local  Area "Yes"
		estimate store m3, title("poisson_co_inp_num")		

		replace linnovation=l.innovation
		zip innovation  network llnrdG llnjaffe_sp_rds linnovation  i.year i.ind_id i.ownership_id i.area_id [iw = cem_weight], inflate(lnrdG)
		estadd local  Industry "Yes"
		estadd local  Year "Yes"
		estadd local  Ownership "Yes"
		estadd local  Area "Yes"
		estimate store m4, title("zip_co_inp_num")
		
	}


	esttab m1 m2 m3 m4  using "Table VII1.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2_p N Industry Year Ownership Area, fmt(%9.3f %9.0g) label("R\textsuperscript{2}" "Observations"))  keep(FP_network AgR&D_stock Jaffe_tech_proximity Innovation)  label  ///
	rename(network "FP_network"  L.lnrdG "AgR&D_stock" llnrdG "AgR&D_stock" L.lnjaffe_sp_rds "Jaffe_tech_proximity" llnjaffe_sp_rds "Jaffe_tech_proximity" L.innovation "Innovation" linnovation  "Innovation")
restore

///附录VII—表VII2 农业科研网络对公共部门农业创新影响的CEM估计
use pubilc_paneldata,clear

xtset pub_id year	

preserve
	qui {
		gen innovation = co_pat_num
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m1, title("co_pat_num")
		
		replace innovation = co_claims
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m2, title("co_claims")
		
		replace innovation = co_bc_num
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m3, title("co_bc_num")
		
		replace innovation = co_bc3_num
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m4, title("co_bc3_num")
		
		replace innovation = co_bc5_num
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m5, title("co_bc5_num")
		
		replace innovation = co_inp_num
		poisson innovation  pp_network  l.lnfound  i.year i.pub_id  i.area_id [iw = cem_weight]
		estadd local  Control "Yes"
		estadd local  Agency "Yes"
		estadd local  Year "Yes"
		estadd local  Area "Yes"
		estimate store m6, title("co_inp_num")		
		
	}


	esttab m1 m2 m3 m4 m5 m6 using "Table VII2.rtf", replace cells(b(fmt(3) star) se(fmt(3) par)) starlevels(* 0.10 ** 0.05 *** 0.01) stats(r2_p N Control Agency Year  Area, fmt(%9.3f %9.0g) label("R\textsuperscript{2}" "Observations"))  keep(PP_network)  label  ///
rename(pp_network "PP_network")
restore